﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using ESRI.ArcGIS.Client.Tasks;

namespace PivotViewer
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            QueryForSwitches();
        }

        private void QueryForSwitches()
        {
            // Query for switches. Switches have LayerID of 3
            QueryTask task = new QueryTask("http://server.arcfmsolution.com/ArcGIS/rest/services/Electric/MapServer/3");
            Query query = new Query();

            // Return all of the fields, we want use them all, but good to have 'em anyways!
            query.OutFields.Add("*");

            // Get as many of the switches as we can
            query.Where = "ObjectID > 0";
            task.ExecuteCompleted += QueryTask_ExecuteCompleted;
            task.ExecuteAsync(query);
        }

        private void QueryTask_ExecuteCompleted(object sender, QueryEventArgs e)
        {
            List<DateTime> dates = new List<DateTime>();

            dates.Add(new DateTime(1980, 12, 5));
            dates.Add(new DateTime(1983, 6, 15));
            dates.Add(new DateTime(1987, 2, 20));
            dates.Add(new DateTime(1983, 4, 3));
            dates.Add(new DateTime(1990, 1, 2));
            dates.Add(new DateTime(1995, 7, 9));
            dates.Add(new DateTime(2000, 4, 13));
            dates.Add(new DateTime(1980, 11, 29));

            Random ran = new Random(11);

            foreach (var graphic in e.FeatureSet.Features)
            {
                if (graphic.Attributes["INSTALLATIONDATE"] == null)
                {
                    graphic.Attributes["INSTALLATIONDATE"] = dates[ran.Next(0, 7)];
                }
                if (graphic.Attributes["FACILITYID"] == null)
                {
                    graphic.Attributes["FACILITYID"] = "SWI" + graphic.Attributes["OBJECTID"];
                }
                if (graphic.Attributes["OPERATINGVOLTAGE"] == null)
                {
                    graphic.Attributes["OPERATINGVOLTAGE"] = "160";
                }
                var a = graphic.Attributes["NORMALPOSITION_A"];
                var b = graphic.Attributes["NORMALPOSITION_B"];
                var c = graphic.Attributes["NORMALPOSITION_C"];
                var phase = graphic.Attributes["PHASEDESIGNATION"];
            }
            DataContext = e.FeatureSet.Features;
        }

    }
}
