﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace PivotViewer.ValueConverters
{
    public class VoltageToStringValueConverter : IValueConverter
    {

        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null) return null;
            switch (value.ToString())
            {
                case "120":
                    return "4.16 kV Grounded Y";
                case "160" :
                    return "7.2 kV Grounded Y";
                case "210":
                    return "12.5 kV Grounded Y";
                case "230":
                    return "13.2 kV Grounded Y";
                case "270":
                    return "13.8 kV Grounded Y";
                case "340" :
                    return "24.9 kV Grounded Y";
                case "380":
                    return "34.5 kV Grounded Y";
                case "80":
                    return "2400 V Delta";
                case "110":
                    return "4160 V Delta";
                case "150":
                    return "7200 Volts Delta";
                case "260":
                    return "13800 V Delta";
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
